[Add-ons] From settings app link to Marketplace, it shows category not exist

VERIFIED WORKSFORME

Status

Firefox OS
Gaia::Settings
VERIFIED WORKSFORME
3 years ago
3 years ago

People

(Reporter: mlien, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(blocking-b2g:2.5+, b2g-master verified)

Details

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
[Description]:
Tap "+" on Add-ons in Settings app, it will link to Marketplace directly but shows category is not exist

[Testing Steps]: 
1. Launch Settings app 
2. Tap Add-ons 
3. Tap "+" to add-on list in Marketplace

[Expected Result]: 
Link to Add-on category and show current add-ons in Marketplace

[Actual Result]: 
It shows "The category you requested does not exist."

[Reproduction build]: 
Build ID               20151025090221
Gaia Revision          1c6628ed1e40575e5ec3669ab6ef389d4ebeea65
Gaia Date              2015-10-23 17:01:43
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/d53a52b39a95dced722cca90ac74529b66dd5253
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151025.082115
Firmware Date          Sun Oct 25 08:21:23 UTC 2015
Bootloader             s1

[Reproduction Frequency]: 
Always Recurrence,5/5
(Reporter)

Comment 1

3 years ago
Created attachment 8678679 [details]
2015-10-26-13-53-53.png
(Reporter)

Updated

3 years ago
QA Whiteboard: [COM=Add-on]
Do you know where should this go?
Flags: needinfo?(mhenretty)
Thanks for the heads-up Tim.

I imagine this has already been fixed in bug 1212918, but it is not in the production Marketplace yet.

Mat, can you confirm?
Flags: needinfo?(mhenretty) → needinfo?(mpillard)
Yes. It's schedule to go in production today around noon PST.
Flags: needinfo?(mpillard)
Marking resolved for now then, but let's verify it tomorrow.
Status: NEW → RESOLVED
blocking-b2g: 2.5? → 2.5+
Last Resolved: 3 years ago
Keywords: verifyme
Resolution: --- → WORKSFORME
This bug has been verified as "pass" on the latest build of Flame KK 2.5 and Aires KK 2.5 by the STR in comment 0.

Actual results: From settings app link to Marketplace, add-ons category shows normally in  Marketplace. 
See attachment: verified_Aries_v2.5.png
Reproduce rate: 0/10


Device: Flame KK 2.5 (Pass)
Build ID               20151027150240
Gaia Revision          a26eadc5e1133d5112b6cbc10badbb7670a1090f
Gaia Date              2015-10-27 17:36:52
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/2b333a1d94e805a59c619ee41a6dec7fdcce505d
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151027.184038
Firmware Date          Tue Oct 27 18:40:49 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Aries KK 2.5 (Pass)
Build ID               20151027221526
Gaia Revision          a26eadc5e1133d5112b6cbc10badbb7670a1090f
Gaia Date              2015-10-27 17:36:52
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/2b333a1d94e805a59c619ee41a6dec7fdcce505d
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151027.213419
Firmware Date          Tue Oct 27 21:34:27 UTC 2015
Bootloader             s1
Status: RESOLVED → VERIFIED
QA Whiteboard: [COM=Add-on] → [COM=Add-on][MGSEI-Triage+]
status-b2g-master: --- → verified
Keywords: verifyme
Created attachment 8679850 [details]
verified_Aries_v2.5.png
You need to log in before you can comment on or make changes to this bug.